Bug 1258267 - 1 mkdir generates tons of log messages from dht xlator
Summary: 1 mkdir generates tons of log messages from dht xlator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Susant Kumar Palai
QA Contact: Prasad Desala
URL:
Whiteboard: dht-log, dht-qe-3.2, dht-3.2.0-proposed
Depends On: 1215816
Blocks: 1351522 1366495 1366496
TreeView+ depends on / blocked
 
Reported: 2015-08-30 18:49 UTC by Pranith Kumar K
Modified: 2017-03-23 05:23 UTC (History)
20 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1215816
: 1366495 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:23:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 4 Pranith Kumar K 2016-06-03 07:21:58 UTC
Sakshi,
        Ashish worked on this logging patch and I believe they are merged now. So this shouldn't happen.

Pranith

Comment 5 Nithya Balachandran 2016-08-01 08:44:26 UTC
The following message should have their log levels changed to DEBUG:



In dht_fix_layout_of_directory ():
gf_msg (this->name, GF_LOG_INFO, 0,
                                DHT_MSG_SUBVOL_INFO,
                                "subvolume %d (%s): %u chunks", i,
                                priv->subvolumes[i]->name,
                                priv->du_stats[i].chunks);


This message alone took up about 2GB of a 2.9GB rebalance log file.

Comment 7 Nithya Balachandran 2016-09-01 08:45:42 UTC
Moving this to POST as the patch has been posted upstream:

master: http://review.gluster.org/15343

Comment 8 Atin Mukherjee 2016-09-17 15:23:10 UTC
Upstream mainline : http://review.gluster.org/15343
Upstream 3.8 : http://review.gluster.org/15413

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 11 Prasad Desala 2016-10-06 07:23:53 UTC
Verified this bug with glusterfs version: 3.8.4-2.el7rhgs.x86_64. 

After the fix, DHT layout logs those are being generated during mkdir creation are no longer seen with default log level. Layout logs are moved to DEBUG level and user will be able to see those logs only if the log level is set to DEBUG.

Hence, moving this bug to verified.

Comment 14 errata-xmlrpc 2017-03-23 05:23:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.